Bug 1478347 - Broken link giving 404
Broken link giving 404
Status: CLOSED CURRENTRELEASE
Product: Red Hat Directory Server
Classification: Red Hat
Component: Documentation (Show other bugs)
10.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Marc Muehlfeld
Viktor Ashirov
: Documentation, EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 07:44 EDT by Lukas Herbolt
Modified: 2017-08-21 04:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-21 04:17:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (134.42 KB, image/png)
2017-08-14 05:19 EDT, Lukas Herbolt
no flags Details

  None (edit)
Description Lukas Herbolt 2017-08-04 07:44:20 EDT
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_directory_server/10/html/installation_guide/about-setup-ds-admin.pl

Describe the issue: 
HTTP 404 Not Found 

Suggestions for improvement: 
HTTP 200 OK
Comment 1 Marc Muehlfeld 2017-08-04 08:59:44 EDT
Thanks for reporting this.

The problem is, that the last component of the link is a directory, but because of the "." in the generated URL, the web server interprets this as a file suffix. If you add a trailing slash, the URL is valid:

https://access.redhat.com/documentation/en-us/red_hat_directory_server/10/html/installation_guide/about-setup-ds-admin.pl/

Please let me know on which page you have saw the broken link and I will fix it as soon as possible.
Comment 4 Lukas Herbolt 2017-08-14 05:19 EDT
Created attachment 1313005 [details]
screenshot
Comment 5 Marc Muehlfeld 2017-08-21 04:17:52 EDT
(In reply to Lukas Herbolt from comment #3)
> docs page:
> 
>  1.2. CONSIDERATIONS BEFORE SETTING UP DIRECTORY SERVER
> 
> Next chapter has the broken link, see attached screenshot

This was what I guessed and fixed in #c2. Since there was no other occurrence, I republished the Installation Guide today. The update is now available on the Customer Portal.

Because this was easy to fix, I fixed this also in the (EOL) RHDS 9 guide.

Note You need to log in before you can comment on or make changes to this bug.